Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "59ed7736-e80d-4cd1-a10e-de0c96566824",
  "jobs_id": "21aed848-2c7d-4338-8877-1328fe68cb3a",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "ffa3fb74-a816-4f75-b2a2-096cd9765c70",
    "_parent_id": "24c9eefb-a162-4b5f-b479-29c89da474a3",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "d324e585-52a6-469d-b5c4-0d4100e8eb34",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "e4f87d63-ad92-4eb9-9020-a266af46eeef",
      "_parent_id": "2e7aabee-e790-4446-af08-75161e3c9a5b",
      "root_parent_id": "69924a22-1317-43b7-be16-a2da6629cb0a",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "edce5e9a-442e-40ae-906a-454907978f53",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "a3809731-46ce-48ae-a137-3cda33fbe7b7",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "0c1936ff-1858-4933-aa1b-750a9e79f65d",
        "_parent_code": "sample string 6",
        "sales_organization_id": "5040856b-cb91-49e7-81ff-922c8096fc37",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "d02cd654-9360-408c-b750-e969628dbdad",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
          "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
          "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
        },
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "equipment_model_id": "c63f6bb8-593d-4e6b-a24a-2e87ef6609c4",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "2669486a-c206-4593-9e0c-370d5ed4d9d8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "45f3e8c9-9139-414e-839e-71bd3f369ff6",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "8a1c2898-90e8-4bb1-9c8f-503a1f766a55",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "1f666469-0891-41f6-acfa-5b180dde0fc1",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "d02cd654-9360-408c-b750-e969628dbdad",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
            "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
            "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
          },
          "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
        },
        "equipment_family_id": "558d525b-c825-4a6d-ab13-98c1dca09a7f",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "a3809731-46ce-48ae-a137-3cda33fbe7b7",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "0c1936ff-1858-4933-aa1b-750a9e79f65d",
          "_parent_code": "sample string 6",
          "sales_organization_id": "5040856b-cb91-49e7-81ff-922c8096fc37",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "d02cd654-9360-408c-b750-e969628dbdad",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
            "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
            "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
          },
          "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
        },
        "date_in_production_since": "2026-11-08T08:22:06.398199+00:00",
        "date_out_of_production_since": "2026-11-08T08:22:06.398199+00:00",
        "date_end_support": "2026-11-08T08:22:06.398199+00:00",
        "sales_organization_id": "8053155c-2c5b-4bca-a283-628f6552bcba",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "d02cd654-9360-408c-b750-e969628dbdad",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
          "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
          "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "project_status_id": "c0e67b56-0195-4199-afc3-6a573e999e9a",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "a8805609-4dac-4926-bf98-8116164a5d88",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "23de1d08-3516-4539-84d9-c61d0005a1a2",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "d02cd654-9360-408c-b750-e969628dbdad",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
          "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
          "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "company_id": "24f2c098-cff6-48a1-804f-80cd2dea7bd4",
      "company_code": "sample string 12",
      "db_address_id": "12ca0faa-b2e9-46d8-bc1f-c9ccfc6a130d",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "eba55785-96e9-4879-a619-d24c2b66a517",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "8613cfcd-10fa-4097-b1a6-18193499f7fa",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-08T08:22:06.398199+00:00",
      "date_create": "2026-11-08T08:22:06.398199+00:00",
      "date_update": "2026-11-08T08:22:06.398199+00:00",
      "updated_by_user_id": "9bf7f7a0-47e6-4f2d-90c8-3891f2a4d3e3",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-08T08:22:06.398199+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-08T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-08T08:22:06.398199+00:00",
      "date_last_job": "2026-11-08T08:22:06.398199+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-08T08:22:06.398199+00:00",
      "modified_dateutc": "2026-11-08T08:22:06.398199+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "c6f8c818-449f-495f-9538-bf671a70046f",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "2e86d593-f870-4a18-814b-619f3aa756bc",
      "name": "sample string 2",
      "sales_organization_id": "9ba33398-c19d-40d4-ae1c-0e5f4b3dc54f",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-08T08:22:06.398199+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "2a834e03-30d0-4a5e-9c96-c5cc2e7bb57e",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "83cc85ff-1124-433a-bba1-1f628517da1f",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "a15e18b5-b33a-4236-8c1f-3ad9fd9226da",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d02cd654-9360-408c-b750-e969628dbdad",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
        "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
        "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
    },
    "job_status_id": "ecb1cbb6-899c-410b-9e77-efac795076af",
    "job_status_code": "sample string 11",
    "db_address_id": "afcdd265-cba8-4460-989f-cf08c8f6cb05",
    "contact_id": "94902e72-89f1-4c04-81e2-ba3c553adc46",
    "requested_by_company_id": "7e7d6c5b-6083-4d2c-94ec-1e5fcf209bc3",
    "requested_by_contact_id": "601f1cbf-ddd2-4151-a42c-22e54471fd4e",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-08T08:22:06.398199+00:00",
    "due_date": "2026-11-08T08:22:06.398199+00:00",
    "date_create": "2026-11-08T08:22:06.398199+00:00",
    "date_update": "2026-11-08T08:22:06.398199+00:00",
    "date_closed": "2026-11-08T08:22:06.398199+00:00",
    "suggested_user_id": "30087d34-9095-4d2c-ac39-d001620058d5",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "ed8d8c80-588c-4957-87eb-5c6f480e6882",
      "db_language_id": "ba42aa5e-4d81-4e35-b6c9-1a6773cc0db0",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-08T08:22:06.398199+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "1b2ff35d-44fe-443c-81fc-583fcbfaf634",
      "sales_organization": {
        "id": "d02cd654-9360-408c-b750-e969628dbdad",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
        "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
        "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "db8450e8-8bcc-468f-af11-e4332844428f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "4d2b174d-2bf4-4929-b07b-054ecbba1781",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-08T08:22:06.398199+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "575b93ea-25bf-4d87-a5f5-eab8820594c4"
    },
    "suggested_date_start": "2026-11-08T08:22:06.398199+00:00",
    "skill_id": "77996643-1ff3-4a50-87c0-abd825d68abc",
    "skill_code": "sample string 32",
    "skill": {
      "id": "23ba4576-8705-4123-8960-28e571d25fef",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "ec5e4cc5-7f12-4d2b-ba97-51838c387938",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d02cd654-9360-408c-b750-e969628dbdad",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "00ecba0d-d838-4885-a81f-a07377282b9b",
        "db_currency_id": "d46bfe60-4e3c-48df-810c-17aef55f83a7",
        "db_language_id": "00e12102-bfdd-42e0-aade-d9c979a84a67",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
      },
      "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "bcb6d241-6c53-4a41-b6b7-ed50625cf80a",
    "date_reported_by_company": "2026-11-08T08:22:06.398199+00:00",
    "id2": 36,
    "company_id": "f60168fe-86fa-4eca-b744-ef9afe346d44",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "1c334690-3231-4ae8-b218-e3a51cb78bf6",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-08T08:22:06.398199+00:00"
  },
  "work_instruction_details_id": "3361114a-f2e7-4bae-980f-68c10c6f6abe",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "8e0c74d5-d4eb-432d-877e-1e173a0b73e2",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "3fa4324a-614a-4b79-8351-e1b4a748e9e4",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-08T08:22:06.398199+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "f408dc83-019b-4cf4-8a37-e64045cda581",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-08T08:22:06.4138336+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.